ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pinar Bicioglu <p.bicio...@CustomerDialogue.com>
Subject RE: Newbie question
Date Mon, 30 Apr 2001 15:06:00 GMT
I believe that all you need to do specify the property tag for
"buil.compiler". And the value should be "modern". 

-----Original Message-----
From: Robert Leftwich [mailto:digital@ix.net.au]
Sent: Sunday, April 29, 2001 9:40 PM
To: ant-user@jakarta.apache.org
Subject: Newbie question


I have a newbie question that I cannot find the answer to in the doco or 
the archive.

I want to ensure that a project is only built under jdk1.3. I can see 
several options :
a) Use a batch file/shell script file to control the build that sets the 
values appropriately - but this requires that everybody always uses that 
mechanism to run the build which you cannot ensure.
b) Fail the build if JAVA_HOME or ant.java.version is not correct - but the 
only way I can find to do that is to write a script 
(javascript/netrexx/etc) that checks the value and adds a target (or 
enables a target) that does the fail - this seems overly complex.
c) Force the setting of JAVA_HOME to the appropriate place in the build 
file - but I can't find a way to do this that is global in nature.

As this is a simple task I am sure there is something I am missing, hence 
this email.

Thanks in advance

Robert

Mime
View raw message